Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.text
Class TemplateEngine

Represents an API to any template engine which is basically a factory of Template instances from a given text input.

author:
  sam

Constructor Summary
`TemplateEngine()`

Method Summary
`Template` | `createTemplate(Reader reader)`
`Template` | `createTemplate(String templateText)`
`Template` | `createTemplate(File file)`
`Template` | `createTemplate(URL url)`

Constructor Detail

### TemplateEngine

    TemplateEngine()

Method Detail

### createTemplate

    public Template createTemplate(Reader reader)

### createTemplate

    public Template createTemplate(String templateText)

### createTemplate

    public Template createTemplate(File file)

### createTemplate

    public Template createTemplate(URL url)